### Function

# Gegl init

#### Declaration [src]

    void
    gegl_init (
      gint* argc,
      gchar*** argv
    )

#### Description [src]

Call this function before using any other GEGL functions. It will initialize everything needed to operate GEGL and parses some standard command line options. `argc` and `argv` are adjusted accordingly so your own code will never see those standard arguments.

Note that there is an alternative way to initialize GEGL: if you are calling `g_option_context_parse()` with the option group returned by #gegl_get_option_group(), you don’t have to call #gegl_init().

#### Parameters

`argc`

  Type: `gint*`

  A pointer to the number of command line arguments.

  The argument will be modified by the function.
  The argument can be `NULL`.

`argv`

  Type: An array of `gchar**`

  A pointer to the array of command line arguments.

  The argument will be modified by the function.
  The argument can be set to `NULL` by the function.
  The length of the array is specified in the `argc` argument.
  The called function takes ownership of the data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.